Skip to Content.
Sympa Menu

notify-dpml - svn commit: r1664 - qa/tools

notify-dpml AT lists.ibiblio.org

Subject: DPML Notify

List archive

Chronological Thread  
  • From: niclas AT netcompartner.com
  • To: notify-dpml AT lists.ibiblio.org
  • Subject: svn commit: r1664 - qa/tools
  • Date: Mon, 31 Jan 2005 19:36:48 +0100

Author: niclas
Date: Mon Jan 31 19:36:48 2005
New Revision: 1664

Added:
qa/tools/
qa/tools/compile-rc.sh (contents, props changed)
qa/tools/prepare-rc.sh (contents, props changed)
qa/tools/repository-work.sh (contents, props changed)
qa/tools/sign-rc.sh (contents, props changed)
qa/tools/upload-rc.sh (contents, props changed)
Log:
Committing shell scripts that I would like to use. Need to sync with Steve
about what is done in Magic and what is done outside.

Added: qa/tools/compile-rc.sh
==============================================================================
--- (empty file)
+++ qa/tools/compile-rc.sh Mon Jan 31 19:36:48 2005
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+
+echo "Starting Build."
+
+cd qa/$PRODUCT/$REVISION
+
+ant -Ddpml.release.signature=$REVISION
+
+# Restore the current directory.
+cd -

Added: qa/tools/prepare-rc.sh
==============================================================================
--- (empty file)
+++ qa/tools/prepare-rc.sh Mon Jan 31 19:36:48 2005
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+
+if [ -z "$1" ] ; then
+ echo "qa/release.sh [product] {revision}"
+ echo ""
+ echo "where [product] is either transit, magic, metro or planet, and
followed"
+ echo "by an optional revision. If {revision} is omitted, the current HEAD"
+ echo "in the repository will be used."
+ echo ""
+ exit 1
+fi
+PRODUCT=$1
+export PRODUCT
+if [ -z "$2" ] ; then
+ svn up -N .
+ INFO=`svn info . | grep ^Revision`
+ REVISION=`echo $INFO | sed 's/Revision: //'`
+else
+ REVISION=$2
+fi
+export REVISION
+
+BASEDIR=`dirname $0`
+
+# sh $BASEDIR/repository-work.sh
+
+sh $BASEDIR/compile-rc.sh
+
+# Is this actually happening in Magic already??
+# sh $BASEDIR/sign-rc.sh
+
+# Another thing that may be part of Magic.
+# sh $BASEDIR/upload-rc.sh

Added: qa/tools/repository-work.sh
==============================================================================
--- (empty file)
+++ qa/tools/repository-work.sh Mon Jan 31 19:36:48 2005
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+
+echo "Creating QA release candidate directory:
http://paris.dpml.net/svn/qa/$PRODUCT";
+svn mkdir -m "Preparing revision $REVISION of $PRODUCT for a release."
http://paris.dpml.net/svn/qa/$PRODUCT
+
+echo "Copying revision $REVISION of $PRODUCT to
http://paris.dpml.net/svn/qa/$PRODUCT/$REVISION on the server."
+svn cp -r$REVISION -m "Preparing revision $REVISION of $PRODUCT for a
release." http://paris.dpml.net/svn/development/main/$PRODUCT
http://paris.dpml.net/svn/qa/$PRODUCT/$REVISION
+
+if [ ! -d "qa" ] ; then
+ echo "No qa/ directory present. Fixing."
+ svn up -N qa
+ svn up qa/tools
+fi
+
+if [ ! -d "qa/$PRODUCT" ] ; then
+ echo "Creating qa/$PRODUCT"
+ svn up -N qa/$PRODUCT
+fi
+
+echo "Updating the revision $REVISION of $PRODUCT into qa/$PRODUCT/$REVISION"
+
+svn up qa/$PRODUCT/$REVISION
+

Added: qa/tools/sign-rc.sh
==============================================================================
--- (empty file)
+++ qa/tools/sign-rc.sh Mon Jan 31 19:36:48 2005
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+
+echo "Started Signing."
+
+NAME="qa/$PRODUCT/$REVISION/target/dist/$PRODUCT-$REVISION"
+
+md5sum $NAME.tar.gz > $NAME.tar.gz.md5
+md5sum $NAME.zip > $NAME.zip.md5
+
+gpg --armor --output $NAME.tar.gz.asc --detach-sig $NAME.tar.gz
+gpg --armor --output $NAME.zip.asc --detach-sig $NAME.zip

Added: qa/tools/upload-rc.sh
==============================================================================
--- (empty file)
+++ qa/tools/upload-rc.sh Mon Jan 31 19:36:48 2005
@@ -0,0 +1,6 @@
+#!/bin/sh
+#
+
+echo "Starting upload."
+
+scp qa/$PRODUCT/$REVISION/target/dist
\ No newline at end of file



  • svn commit: r1664 - qa/tools, niclas, 01/31/2005

Archive powered by MHonArc 2.6.24.

Top of Page